### Virtual Method

# Gtk TreeModel get_value

deprecated: 4.10

#### Declaration [src]

    void
    get_value (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter,
      int column,
      GValue* value
    )

#### Description [src]

Initializes and sets `value` to that at `column`.

When done with `value`, `g_value_unset()` needs to be called to free any allocated memory.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`iter`

  Type: `GtkTreeIter`

  The `GtkTreeIter`.

  The data is owned by the caller of the method.

`column`

  Type: `int`

  The column to lookup the value at.

`value`

  Type: `GValue`

  An empty `GValue` to set.

  The argument will be set by the function.
  The returned data is owned by the instance.